%global unmangled_version 1.54.0

Summary: Reference Synapse Home Server
Name: matrix-synapse
Version: %{unmangled_version}%{?unmangled_release:.%{unmangled_release}}
Release: 1%{?dist}.2
Source0: https://github.com/matrix-org/synapse/archive/v%{unmangled_version}%{?unmangled_release?-r%{unmangled_release}}/synapse-%{unmangled_version}%{?unmangled_release:-r%{unmangled_release}}.tar.gz
Source1: synapse-tmpfile.conf
Source2: synapse.sysconfig
Source3: synapse.service
Source4: synapse-postgresql.conf
Patch0: matrix-synapse-proper-paths.patch
Patch2: matrix-synapse-test-paths.patch
Patch3: matrix-synapse-cryptography-version.patch
License: ASL 2.0
Group: Development/Libraries
Prefix: %{_prefix}
BuildArch: noarch
BuildRequires: systemd-units

BuildRequires: python3-devel >= 3.7
BuildRequires: python3-twisted >= 18.9.0
BuildRequires: python3-parameterized >= 0.7.0
BuildRequires: python3-unpaddedbase64 >= 1.1.0
BuildRequires: python3-canonicaljson >= 1.4.0
BuildRequires: python3-signedjson >= 1.1.0
BuildRequires: python3-service-identity >= 18.1.0
BuildRequires: python3-pyOpenSSL >= 16.0.0
BuildRequires: python3-yaml >= 3.11
BuildRequires: python3-pyasn1 >= 0.1.9
BuildRequires: python3-pyasn1-modules >= 0.0.7
BuildRequires: python3-pynacl >= 1.2.1
BuildRequires: python3-idna >= 2.5
BuildRequires: python3-bcrypt >= 3.1.0
BuildRequires: python3-frozendict >= 1
BuildRequires: python3-pillow >= 5.4.0
BuildRequires: python3-sortedcontainers >= 1.4.4
BuildRequires: python3-pysaml2 >= 4.5.0
BuildRequires: python3-pymacaroons >= 0.13.0
BuildRequires: python3-bleach >= 1.4.3
BuildRequires: python3-netaddr >= 0.7.18
BuildRequires: python3-jinja2 >= 2.9
BuildRequires: python3-matrix-synapse-ldap3 >= 0.1
BuildRequires: python3-lxml >= 4.2.0
BuildRequires: python3-msgpack >= 0.5.2
BuildRequires: python3-jsonschema >= 3.0.0
BuildRequires: python3-phonenumbers >= 8.2.0
BuildRequires: python3-prometheus_client >= 0.4.0
BuildRequires: python3-attrs >= 19.2.0
BuildRequires: python3-treq >= 15.1
BuildRequires: python3-sentry-sdk >= 0.7.2
BuildRequires: python3-jwt >= 1.6.4
BuildRequires: python3-typing-extensions >= 3.7.4
BuildRequires: python3-authlib >= 0.14.0
BuildRequires: python3-txredisapi >= 1.4.7
BuildRequires: python3-hiredis
BuildRequires: python3-ijson >= 3.1.4
BuildRequires: (python3-matrix-common >= 1.1.0 with python3-matrix-common < 1.2~)
BuildRequires: python3-packaging >= 16.1
BuildRequires: xmlsec1

%systemd_requires

Requires: python3-matrix-synapse = %{version}
Recommends: %{name}-postgresql

%description
Matrix is an ambitious new ecosystem for open federated Instant Messaging and
VoIP.  The basics you need to know to get up and running are:

- Everything in Matrix happens in a room.  Rooms are distributed and do not
  exist on any single server.  Rooms can be located using convenience aliases 
  like ``#matrix:matrix.org`` or ``#test:localhost:8448``.

- Matrix user IDs look like ``@matthew:matrix.org`` (although in the future
  you will normally refer to yourself and others using a 3PID: email
  address, phone number, etc rather than manipulating Matrix user IDs)

The overall architecture is::

      client <----> homeserver <=====================> homeserver <----> client
             https://somewhere.org/_matrix      https://elsewhere.net/_matrix

``#matrix:matrix.org`` is the official support room for Matrix, and can be
accessed by the web client at http://matrix.org/beta or via an IRC bridge at
irc://irc.freenode.net/matrix.

Synapse is currently in rapid development, but as of version 0.5 we believe it 
is sufficiently stable to be run as an internet-facing service for real usage!

%package -n python3-matrix-synapse
Summary: Python 3 Libraries For Reference Synapse Home Server
%{?python_provide:%python_provide python3-matrix-synapse}
Requires: %{name}
Requires: python3-unpaddedbase64 >= 1.1.0
Requires: python3-canonicaljson >= 1.4.0
Requires: python3-signedjson >= 1.1.0
Requires: python3-twisted >= 18.9.0
Requires: python3-service-identity >= 18.1.0
Requires: python3-pyOpenSSL >= 16.0.0
Requires: python3-yaml >= 3.11
Requires: python3-pyasn1 >= 0.1.9
Requires: python3-pyasn1-modules >= 0.0.7
Requires: python3-pynacl >= 1.2.1
Requires: python3-idna >= 2.5
Requires: python3-bcrypt >= 3.1.0
Requires: python3-frozendict >= 1
Requires: python3-pillow >= 5.4.0
Requires: python3-sortedcontainers >= 1.4.4
Requires: python3-pysaml2 >= 4.5.0
Requires: python3-pymacaroons >= 0.13.0
Requires: python3-bleach >= 1.4.3
Requires: python3-netaddr >= 0.7.18
Requires: python3-jinja2 >= 2.9
Requires: python3-matrix-synapse-ldap3 >= 0.1
Requires: python3-lxml >= 4.2.0
Requires: python3-msgpack >= 0.5.2
Requires: python3-jsonschema >= 3.0.0
Requires: python3-phonenumbers >= 8.2.0
Requires: python3-prometheus_client >= 0.4.0
Requires: python3-attrs >= 19.2.0
Requires: python3-treq >= 15.1
Requires: python3-sentry-sdk >= 0.7.2
Requires: python3-jwt >= 1.6.4
Requires: python3-typing-extensions >= 3.7.4
Requires: python3-authlib >= 0.14.0
Requires: python3-txredisapi >= 1.4.7
Requires: python3-hiredis
Requires: python3-ijson >= 3.1.4
Requires: (python3-matrix-common >= 1.1.0 with python3-matrix-common < 1.2~)
Requires: python3-packaging >= 16.1
Requires: python3-systemd >= 231
Requires: xmlsec1

%description -n python3-matrix-synapse
Matrix is an ambitious new ecosystem for open federated Instant Messaging and
VoIP.
This package provides Python 3 libraries implementing Synapse homeserver.

%package postgresql
Summary: PostgreSQL Support For Reference Synapse Home Server
Requires: %{name}
Requires: python3-psycopg2

%description postgresql
Matrix is an ambitious new ecosystem for open federated Instant Messaging and
VoIP.

This package provides PostgreSQL database dupport for Synapse homeserver.

You must use Synapse with PostgreSQL database if your homeserver federates
with other homeservers.

%prep
%setup -n synapse-%{unmangled_version}%{?unmangled_release?:-r%{unmangled_release}}
%patch0 -p1
%patch2 -p1
%patch3 -p1

%build
%py3_build

%install
%{__python3} setup.py install \
  --install-scripts='%{_libexecdir}/%{name}' \
  --skip-build \
  --single-version-externally-managed \
  -O2 \
  --root='%{buildroot}'
%{__cat} > %{buildroot}%{_libexecdir}/%{name}/synapse <<EOF
#!/bin/sh
exec %{__python3} -m synapse.app.homeserver --config-path=%{_sysconfdir}/synapse/homeserver.yaml
EOF
%{__chmod} a+x %{buildroot}%{_libexecdir}/%{name}/synapse
%{__rm} -rf %{buildroot}%{python3_sitelib}/synmark

%{__mkdir_p} "${RPM_BUILD_ROOT}%{_sbindir}"
%{__ln_s} "%{_libexecdir}/%{name}/synctl" \
          "%{_libexecdir}/%{name}/register_new_matrix_user" \
          "%{_libexecdir}/%{name}/synapse" \
          "${RPM_BUILD_ROOT}%{_sbindir}"

%{__mkdir_p} "${RPM_BUILD_ROOT}%{_sysconfdir}/synapse"
%{__install} -m 0644 contrib/systemd/log_config.yaml \
             "${RPM_BUILD_ROOT}%{_sysconfdir}/synapse"

%{__mkdir_p} "${RPM_BUILD_ROOT}%{_unitdir}"
%{__install} -m 0644 %{SOURCE3} "${RPM_BUILD_ROOT}%{_unitdir}"
%{__mkdir_p} "${RPM_BUILD_ROOT}%{_unitdir}/synapse.service.d"
%{__install} -m 0644 %{SOURCE4} \
             "${RPM_BUILD_ROOT}%{_unitdir}/synapse.service.d/postgresql.conf"
%{__install} -m 0644 contrib/systemd/override-hardened.conf \
             "${RPM_BUILD_ROOT}%{_unitdir}/synapse.service.d/hardened.conf"
%{__sed} -i -e 's/matrix-synapse/synapse/g' \
             "${RPM_BUILD_ROOT}%{_unitdir}/synapse.service.d/hardened.conf"

%{__mkdir_p} "${RPM_BUILD_ROOT}%{_prefix}/lib/tmpfiles.d"
%{__install} -m0644 %{SOURCE1} \
             "${RPM_BUILD_ROOT}%{_prefix}/lib/tmpfiles.d/synapse.conf"

%{__mkdir_p} "${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig"
%{__install} -m0644 %{SOURCE2} \
             "${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/synapse"

%{__mkdir_p} "${RPM_BUILD_ROOT}%{_localstatedir}/run/synapse"
%{__mkdir_p} "${RPM_BUILD_ROOT}%{_localstatedir}/lib/synapse"
%{__mkdir_p} "${RPM_BUILD_ROOT}%{_localstatedir}/log/synapse"

%check
PYTHONPATH=. %{_bindir}/trial-3 tests

%pre
getent group synapse &>/dev/null || groupadd -r synapse
getent passwd synapse &>/dev/null || \
    /usr/sbin/useradd -r -g synapse -s /sbin/nologin -c 'Matrix Synapse' \
        -d %{_localstatedir}/lib/synapse synapse

%post
%systemd_post synapse.service

%preun
%systemd_preun synapse.service

%postun
%systemd_postun_with_restart synapse.service

%files
%defattr(-,root,root)
%doc *.rst
%license LICENSE
%attr(0710,root,synapse) %dir %{_sysconfdir}/synapse
%config %{_sysconfdir}/synapse/*
%config %{_sysconfdir}/sysconfig/synapse
%{_sbindir}/*
%{_libexecdir}/matrix-synapse
%{_unitdir}/synapse.service
%dir %{_unitdir}/synapse.service.d
%{_unitdir}/synapse.service.d/hardened.conf
%{_prefix}/lib/tmpfiles.d/synapse.conf
%attr(0710,synapse,synapse) %{_localstatedir}/run/synapse
%attr(0710,synapse,synapse) %{_localstatedir}/lib/synapse
%attr(0750,synapse,synapse) %{_localstatedir}/log/synapse

%files -n python3-matrix-synapse
%defattr(-,root,root)
%doc *.rst
%license LICENSE
%{python3_sitelib}/synapse
%{python3_sitelib}/matrix_synapse-%{version}*.egg-info

%files postgresql
%defattr(-,root,root)
%dir %{_unitdir}/synapse.service.d
%{_unitdir}/synapse.service.d/postgresql.conf
%changelog
* Tue Mar  8 2022 Oleg Girko <ol@infoserver.lv> 1.54.0-1
- Update to 1.54.0
* Tue Feb 22 2022 Oleg Girko <ol@infoserver.lv> 1.53.0-1
- Update to 1.53.0
* Tue Feb  8 2022 Oleg Girko <ol@infoserver.lv> 1.52.0-1
- Update to 1.52.0
* Tue Jan 25 2022 Oleg Girko <ol@infoserver.lv> 1.51.0-1
- Update to 1.51.0
* Mon Jan 24 2022 Oleg Girko <ol@infoserver.lv> 1.50.2-1
- Update to 1.50.2
* Tue Jan 18 2022 Oleg Girko <ol@infoserver.lv> 1.50.1-1
- Update to 1.50.1
* Tue Dec 21 2021 Oleg Girko <ol@infoserver.lv> 1.49.2-1
- Update to 1.49.2
* Tue Dec 14 2021 Oleg Girko <ol@infoserver.lv> 1.49.0-1
- Update to 1.49.0
* Tue Nov 30 2021 Oleg Girko <ol@infoserver.lv> 1.48.0-1
- Update to 1.48.0
* Tue Nov 23 2021 Oleg Girko <ol@infoserver.lv> 1.47.1-1
- Update to 1.47.1
* Wed Nov 17 2021 Oleg Girko <ol@infoserver.lv> 1.47.0-1
- Update to 1.47.0
* Tue Nov  2 2021 Oleg Girko <ol@infoserver.lv> 1.46.0-1
- Update to 1.46.0
* Wed Oct 20 2021 Oleg Girko <ol@infoserver.lv> 1.45.1-1
- Update to 1.45.1
* Tue Oct  5 2021 Oleg Girko <ol@infoserver.lv> 1.44.0-1
- Update to 1.44.0
* Tue Sep 21 2021 Oleg Girko <ol@infoserver.lv> 1.43.0-1
- Update to 1.43.0
* Tue Sep  7 2021 Oleg Girko <ol@infoserver.lv> 1.42.0-1
- Update to 1.42.0
* Tue Aug 31 2021 Oleg Girko <ol@infoserver.lv> 1.41.1-1
- Update to 1.41.1
* Wed Aug 25 2021 Oleg Girko <ol@infoserver.lv> 1.41.0-2
- Fix minimal version requirement for service_identity
* Tue Aug 24 2021 Oleg Girko <ol@infoserver.lv> 1.41.0-1
- Update to 1.41.0
* Tue Aug 10 2021 Oleg Girko <ol@infoserver.lv> 1.40.0-1
- Update to 1.40.0
* Thu Jul 29 2021 Oleg Girko <ol@infoserver.lv> 1.39.0-1
- Update to 1.39.0
* Thu Jul 22 2021 Oleg Girko <ol@infoserver.lv> 1.38.1-1
- Update to 1.38.1
* Tue Jul 13 2021 Oleg Girko <ol@infoserver.lv> 1.38.0-1
- Update to 1.38.0
* Sun Jul 11 2021 Oleg Girko <ol@infoserver.lv> 1.37.1-2
- Add systemd configuration for service hardening
- Add subpackage with systemd configuration for PostgreSQL support
* Wed Jun 30 2021 Oleg Girko <ol@infoserver.lv> 1.37.1-1
- Update to 1.37.1
* Tue Jun 29 2021 Oleg Girko <ol@infoserver.lv> 1.37.0-1
- Update to 1.37.0
* Tue Jun 15 2021 Oleg Girko <ol@infoserver.lv> 1.36.0-1
- Update to 1.36.0
* Thu Jun  3 2021 Oleg Girko <ol@infoserver.lv> 1.35.1-1
- Update to 1.35.1
* Tue Jun  1 2021 Oleg Girko <ol@infoserver.lv> 1.35.0-1
- Update to 1.35.0
* Mon May 17 2021 Oleg Girko <ol@infoserver.lv> 1.34.0-1
- Update to 1.34.0
* Tue May 11 2021 Oleg Girko <ol@infoserver.lv> 1.33.2-1
- Update to 1.33.2
* Wed May  5 2021 Oleg Girko <ol@infoserver.lv> 1.33.0-1
- Update to 1.33.0
* Thu Apr 22 2021 Oleg Girko <ol@infoserver.lv> 1.32.2-1
- Update to 1.32.2
* Tue Apr  6 2021 Oleg Girko <ol@infoserver.lv> 1.31.0-1
- Update to 1.31.0
* Mon Mar 22 2021 Oleg Girko <ol@infoserver.lv> 1.30.0-1
- Update to 1.30.0
* Mon Mar  8 2021 Oleg Girko <ol@infoserver.lv> 1.29.0-1
- Update to 1.29.0
* Thu Feb 25 2021 Oleg Girko <ol@infoserver.lv> 1.28.0-1
- Update to 1.28.0
* Wed Feb 17 2021 Oleg Girko <ol@infoserver.lv> 1.27.0-1
- Update to 1.27.0
* Thu Jan 28 2021 Oleg Girko <ol@infoserver.lv> 1.26.0-1
- Update to 1.26.0
* Wed Jan 13 2021 Oleg Girko <ol@infoserver.lv> 1.25.0-1
- Update to 1.25.0
* Wed Dec  9 2020 Oleg Girko <ol@infoserver.lv> 1.24.0-1
- Update to 1.24.0
- Add missing requirement for xmlsec1 (needed for pysaml2)
* Wed Nov 18 2020 Oleg Girko <ol@infoserver.lv> 1.23.0-1
- Update to 1.23.0
* Fri Oct 30 2020 Oleg Girko <ol@infoserver.lv> 1.22.1-1
- Update to 1.22.1
- Don't require setuptools_trial (non needed anymore)
* Tue Oct 27 2020 Oleg Girko <ol@infoserver.lv> 1.22.0-1
- Update to 1.22.0
* Thu Oct 15 2020 Oleg Girko <ol@infoserver.lv> 1.21.2-1
- Update to 1.21.2
* Mon Oct 12 2020 Oleg Girko <ol@infoserver.lv> 1.21.0-1
- Update to 1.21.0
* Thu Sep 24 2020 Oleg Girko <ol@infoserver.lv> 1.20.1-1
- Update to 1.20.1
* Tue Sep 22 2020 Oleg Girko <ol@infoserver.lv> 1.20.0-1
- Update to 1.20.0
* Fri Sep 18 2020 Oleg Girko <ol@infoserver.lv> 1.19.3-1
- Update to 1.19.3
* Wed Sep 16 2020 Oleg Girko <ol@infoserver.lv> 1.19.2-1
- Update to 1.19.2
* Thu Aug 27 2020 Oleg Girko <ol@infoserver.lv> 1.19.1-1
- Update to 1.19.1
* Mon Aug 17 2020 Oleg Girko <ol@infoserver.lv> 1.19.0-1
- Update to 1.19.0
* Thu Jul 30 2020 Oleg Girko <ol@infoserver.lv> 1.18.0-1
- Update to 1.18.0
* Mon Jul 13 2020 Oleg Girko <ol@infoserver.lv> 1.17.0-1
- Update to 1.17.0
* Fri Jul 10 2020 Oleg Girko <ol@infoserver.lv> 1.16.1-1
- Update to 1.16.1
* Wed Jul  8 2020 Oleg Girko <ol@infoserver.lv> 1.16.0-1
- Update to 1.16.0
* Thu Jul  2 2020 Oleg Girko <ol@infoserver.lv> 1.15.2-1
- Update to 1.15.2
* Tue Jun 16 2020 Oleg Girko <ol@infoserver.lv> 1.15.1-1
- Update to 1.15.1
* Thu Jun 11 2020 Oleg Girko <ol@infoserver.lv> 1.15.0-1
- Update to 1.15.0
* Thu May 28 2020 Oleg Girko <ol@infoserver.lv> 1.14.0-1
- Update to 1.14.0
* Tue May 19 2020 Oleg Girko <ol@infoserver.lv> 1.13.0-1
- Update to 1.13.0
* Thu Apr 23 2020 Oleg Girko <ol@infoserver.lv> 1.12.4-1
- Update to 1.12.4
* Fri Apr  3 2020 Oleg Girko <ol@infoserver.lv> 1.12.3-1
- Update to 1.12.3
* Thu Apr  2 2020 Oleg Girko <ol@infoserver.lv> 1.12.1-1
- Update to 1.12.1
* Mon Mar 23 2020 Oleg Girko <ol@infoserver.lv> 1.12.0-1
- Update to 1.12.0
* Tue Mar  3 2020 Oleg Girko <ol@infoserver.lv> 1.11.1-1
- Update to 1.11.1
* Fri Feb 21 2020 Oleg Girko <ol@infoserver.lv> 1.11.0-1
- Update to 1.11.0
* Mon Feb 17 2020 Oleg Girko <ol@infoserver.lv> 1.10.1-1
- Update to 1.10.1
* Wed Feb 12 2020 Oleg Girko <ol@infoserver.lv> 1.10.0-1
- Update to 1.10.0
* Tue Jan 28 2020 Oleg Girko <ol@infoserver.lv> 1.9.1-1
- Update to 1.9.1
* Thu Jan 23 2020 Oleg Girko <ol@infoserver.lv> 1.9.0-1
- Update to 1.9.0
* Thu Jan  9 2020 Oleg Girko <ol@infoserver.lv> 1.8.0-1
- Update to 1.8.0
* Tue Dec 31 2019 Oleg Girko <ol@infoserver.lv> 1.7.3-1
- Update to 1.7.3
* Fri Dec 20 2019 Oleg Girko <ol@infoserver.lv> 1.7.2-1
- Update to 1.7.2
* Wed Dec 18 2019 Oleg Girko <ol@infoserver.lv> 1.7.1-1
- Update to 1.7.1
* Fri Dec 13 2019 Oleg Girko <ol@infoserver.lv> 1.7.0-1
- Update to 1.7.0
* Thu Nov 28 2019 Oleg Girko <ol@infoserver.lv> 1.6.1-1
- Update to 1.6.1
* Tue Nov 26 2019 Oleg Girko <ol@infoserver.lv> 1.6.0-1
- Update to 1.6.0
* Wed Nov  6 2019 Oleg Girko <ol@infoserver.lv> 1.5.1-1
- Update to 1.5.1
* Tue Oct 29 2019 Oleg Girko <ol@infoserver.lv> 1.5.0-1
- Update to 1.5.0
* Fri Oct 18 2019 Oleg Girko <ol@infoserver.lv> 1.4.1-1
- Update to 1.4.1
* Thu Oct  3 2019 Oleg Girko <ol@infoserver.lv> 1.4.0-1
- Update to 1.4.0
- Change systemd service type from simple to notify
- Add reload command to systemd service file
* Sat Aug 17 2019 Oleg Girko <ol@infoserver.lv> 1.3.1-1
- Update to 1.3.1
* Thu Aug 15 2019 Oleg Girko <ol@infoserver.lv> 1.3.0-1
- Update to 1.3.0
* Fri Jul 26 2019 Oleg Girko <ol@infoserver.lv> 1.2.1-1
- Update to 1.2.1
- Require exactly the same version of python3-matrix-synapse
* Thu Jul 25 2019 Oleg Girko <ol@infoserver.lv> 1.2.0-1
- Update to 1.2.0
* Fri Jul  5 2019 Oleg Girko <ol@infoserver.lv> 1.1.0-1
- Update to 1.1.0
- Drop support for Python 2, always use Python 3 only
* Tue Jun 11 2019 Oleg Girko <ol@infoserver.lv> 1.0.0-1
- Update to 1.0.0
* Fri May 31 2019 Oleg Girko <ol@infoserver.lv> 0.99.5.2-1
- Update to 0.99.5.2
* Fri May 24 2019 Oleg Girko <ol@infoserver.lv> 0.99.5.1-2
- Don't cap prometheus_client version at 0.4
* Thu May 23 2019 Oleg Girko <ol@infoserver.lv> 0.99.5.1-1
- Update to 0.99.5.1
* Wed May 15 2019 Oleg Girko <ol@infoserver.lv> 0.99.4-1
- Update to 0.99.4
* Mon May 13 2019 Oleg Girko <ol@infoserver.lv> 0.99.3.2-1
- Update to 0.99.3.2
* Mon Apr  1 2019 Oleg Girko <ol@infoserver.lv> 0.99.3-1
- Update to 0.99.3
- Remove wrong conditional dependency
* Fri Mar  1 2019 Oleg Girko <ol@infoserver.lv> 0.99.2-1
- Update to 0.99.2
* Thu Feb 14 2019 Oleg Girko <ol@infoserver.lv> 0.99.1.1-1
- Update to 0.99.1.1
* Thu Feb 14 2019 Oleg Girko <ol@infoserver.lv> 0.99.1-1
- Update to 0.99.1
* Tue Feb  5 2019 Oleg Girko <ol@infoserver.lv> 0.99.0-1
- Update to 0.99.0
* Fri Jan 11 2019 Oleg Girko <ol@infoserver.lv> 0.34.1.1-2
- Fix required version of pysaml2 package
- Drop ".py" suffix from wrapper script name: it's not a Python script
- Include compiled Python scripts in Python 2 and 3 specific packages
* Thu Jan 10 2019 Oleg Girko <ol@infoserver.lv> 0.34.1.1-1
- Update to 0.34.1.1
* Thu Dec 20 2018 Oleg Girko <ol@infoserver.lv> 0.34.0-1
- Update to 0.34.0
- Build packages with Python 2 and Python 3 implemenation to choose from
* Tue Nov 20 2018 Oleg Girko <ol@infoserver.lv> 0.33.9-1
- Update to 0.33.9
* Thu Nov  1 2018 Oleg Girko <ol@infoserver.lv> 0.33.8-1
- Update to 0.33.8
* Thu Oct 18 2018 Oleg Girko <ol@infoserver.lv> 0.33.7-1
- Update to 0.33.7
* Sat Oct  6 2018 Oleg Girko <ol@infoserver.lv> 0.33.6-1
- Update to 0.33.6
* Mon Sep 24 2018 Oleg Girko <ol@infoserver.lv> 0.33.5-1
- Update to 0.33.5
- Use trial-2 instead of trial for tests with python2
- Add patch to fix compatibility with Twisted 18.4.0 in tests
* Fri Sep  7 2018 Oleg Girko <ol@infoserver.lv> 0.33.4-1
- Update to 0.33.4
* Wed Sep  5 2018 Oleg Girko <ol@infoserver.lv> 0.33.3-2
- Add patch to fix CVE-2018-16515
* Wed Aug 22 2018 Oleg Girko <ol@infoserver.lv> 0.33.3-1
- Update to 0.33.3
* Thu Aug  9 2018 Oleg Girko <ol@infoserver.lv> 0.33.2-1
- Update to 0.33.2
* Fri Aug  3 2018 Oleg Girko <ol@infoserver.lv> 0.33.1-1
- Update to 0.33.1
* Sat Jul 21 2018 Oleg Girko <ol@infoserver.lv> 0.33.0-1
- Update to 0.33.0
* Sat Jul  7 2018 Oleg Girko <ol@infoserver.lv> 0.32.2-1
- Update to 0.32.2
* Fri Jul  6 2018 Oleg Girko <ol@infoserver.lv> 0.32.0-1
- Update to 0.32.0
* Tue Jun 26 2018 Oleg Girko <ol@infoserver.lv> 0.31.2-1
- Update to 0.31.2
* Sat Jun  9 2018 Oleg Girko <ol@infoserver.lv> 0.31.1-1
- Update to 0.31.1
* Wed Jun  6 2018 Oleg Girko <ol@infoserver.lv> 0.31.0-1
- Update to 0.31.0
- Use python2 instead of python for build and install
* Thu May 24 2018 Oleg Girko <ol@infoserver.lv> 0.30.0-1
- Update to 0.30.0
* Wed May 16 2018 Oleg Girko <ol@infoserver.lv> 0.29.0-1
- Update to 0.29.0
- Use our own systemd unit file, not rely on the one from contrib
* Tue May  1 2018 Oleg Girko <ol@infoserver.lv> 0.28.1-1
- Update to 0.28.1
* Fri Apr 27 2018 Oleg Girko <ol@infoserver.lv> 0.28.0-1
- Update to 0.28.0
* Fri Apr 13 2018 Oleg Girko <ol@infoserver.lv> 0.27.4-1
- Update to 0.27.4
* Wed Apr 11 2018 Oleg Girko <ol@infoserver.lv> 0.27.3-1
- Update to 0.27.3
* Mon Mar 26 2018 Oleg Girko <ol@infoserver.lv> 0.27.2-1
- Update to 0.27.2
* Thu Nov 16 2017 Oleg Girko <ol@infoserver.lv> 0.25.0-1
- Update to 0.25.0
* Tue Oct 24 2017 Oleg Girko <ol@infoserver.lv> 0.24.1-1
- Update to 0.24.1
* Mon Oct 23 2017 Oleg Girko <ol@infoserver.lv> 0.24.0-1
- Update to 0.24.0
* Tue Oct 17 2017 Oleg Girko <ol@infoserver.lv> 0.23.1-1
- Update to 0.23.1
* Mon Oct  2 2017 Oleg Girko <ol@infoserver.lv> 0.23.0-1
- Update to 0.23.0
* Fri Jul  7 2017 Oleg Girko <ol@infoserver.lv> 0.22.1-1
- Update to 0.22.1
* Thu Jun 15 2017 Oleg Girko <ol@infoserver.lv> 0.21.1-1
- Update to 0.21.1
* Thu May 18 2017 Oleg Girko <ol@infoserver.lv> 0.21.0-1
- Update to 0.21.0
* Tue Apr 11 2017 Oleg Girko <ol@infoserver.lv> 0.20.0-1
- Update to 0.20.0
* Tue Mar 21 2017 Oleg Girko <ol@infoserver.lv> 0.19.3-1
- Update to 0.19.3
* Tue Mar 14 2017 Oleg Girko <ol@infoserver.lv> 0.19.2-2
- Allow newer pynacl to be used with Synapse
* Tue Feb 21 2017 Oleg Girko <ol@infoserver.lv> 0.19.2-1
- Update to 0.19.2
* Thu Feb  9 2017 Oleg Girko <ol@infoserver.lv> 0.19.1-1
- Update to 0.19.1
* Mon Jan  9 2017 Oleg Girko <ol@infoserver.lv> 0.18.7-1
- Update to 0.18.7
* Fri Jan  6 2017 Oleg Girko <ol@infoserver.lv> 0.18.6-1
- Update to 0.18.6
* Tue Dec 27 2016 Oleg Girko <ol@infoserver.lv> 0.18.5-1
- Update to 0.18.5
- Run tests proper way using trial
* Tue Nov 22 2016 Oleg Girko <ol@infoserver.lv> 0.18.4-1
- Update to 0.18.4
* Tue Nov  8 2016 Oleg Girko <ol@infoserver.lv> 0.18.3-1
- Update to 0.18.3
* Wed Nov  2 2016 Oleg Girko <ol@infoserver.lv> 0.18.2-1
- Update to 0.18.2
* Wed Oct  5 2016 Oleg Girko <ol@infoserver.lv> 0.18.1-1
- Update to 0.18.1
* Mon Sep 19 2016 Oleg Girko <ol@infoserver.lv> 0.18.0-1
- Update to 0.18.0
* Fri Sep  9 2016 Oleg Girko <ol@infoserver.lv> 0.17.3-1
- Update to 0.17.3
* Thu Sep  8 2016 Oleg Girko <ol@infoserver.lv> 0.17.2-1
- Update to 0.17.2
* Wed Aug 24 2016 Oleg Girko <ol@infoserver.lv> 0.17.1-1
- Update to 0.17.1
- Require python-lxml for web page preview support
* Mon Aug  8 2016 Oleg Girko <ol@infoserver.lv> 0.17.0-1
- Update to 0.17.0
* Fri Jul  8 2016 Oleg Girko <ol@infoserver.lv> 0.16.1-2
- Add security fix
* Mon Jun 20 2016 Oleg Girko <ol@infoserver.lv> 0.16.1-1
- Update to 0.16.1
* Thu Jun  9 2016 Oleg Girko <ol@infoserver.lv> 0.16.0-1
- Update to 0.16.0
* Thu Mar 31 2016 Oleg Girko <ol@infoserver.lv> 0.14.0-2
- Add environment file to systemd unit configuration
* Wed Mar 30 2016 Oleg Girko <ol@infoserver.lv> 0.14.0-1
- Update to 0.14.0
* Sun Mar  6 2016 Oleg Girko <ol@infoserver.lv> 0.13.3-2
- Require python-systemd explicitly for systemd logging
* Thu Feb 11 2016 Oleg Girko <ol@infoserver.lv> 0.13.3-1
- Update to 0.13.3
* Fri Jan 22 2016 Oleg Girko <ol@infoserver.lv> 0.12.0-1
- Update to 0.12.0
* Sat Nov 28 2015 Oleg Girko <ol@infoserver.lv> 0.11.1-1
- Update to 0.11.1
* Thu Nov  5 2015 Oleg Girko <ol@infoserver.lv> 0.10.0.2-3
- Fix patch to use proper paths
* Thu Nov  5 2015 Oleg Girko <ol@infoserver.lv> 0.10.0.2-2
- Fix python-twisted dependency
* Wed Nov  4 2015 Oleg Girko <ol@infoserver.lv> 0.10.0.2-1
- Update to 0.10.0-r2
* Mon Jul 13 2015 Oleg Girko <ol@infoserver.lv> 0.9.3-1
- Initial package
